---
title: Label Sheet
author: Melvin Wevers, Nico Vriend, Alexandra Barancová, Jan Kruidhof, Lars Vereecken
tags: HisVis
---
Labels describe the objects, settings, events or activities that are central to the scene depicted in a given photograph.


|English Label        |Dutch Label           |Images per Class|Description             |Description (NL)                                                                                                                                                                                                                                                                                                          |Example                       |possible overlap                                    |
|---------------------|----------------------|-------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|------------------------------|----------------------------------------------------|
|accident_stretcher   |ongeluk_brancard      |53                       |Accident involving an person on a stretcher                                                                                                        |Ongeluk / ongeval waarbij een (gewond) persoon op een brancard ligt                                                                                                                                                                                                                                                           |NL-HlmNHA_1478_04659_01_G.jpg |                                                    |
|aerial               |luchtfoto             |323                      |An image with an aerial perspective                                                                                                                |Foto's van bovenaf en vanuit de lucht / vanuit een vliegtuig geschoten (vogelperspectief), meestal van een (stads)landschap                                                                                                                                                                                                   |NL-HlmNHA_1478_5279           |                                                    |
|airplane             |vliegtuig             |185                      |    One or more airplanes                                                                                                                                               |Een of meerdere vliegtuigen                                                                                                                                                                                                                                                                                                   |NL-HlmNHA_1478_12158K00_28    |                                                    |
|amphitheater         |amfitheater           |87                       |An amphitheater, an open air theater                                                                                                               |Een amfitheater, een open theateropstelling in de buitenlucht                                                                                                                                                                                                                                                                 |NL-HlmNHA_1478_08194_G.jpg    |historical play, theater                            |
|animals              |dieren_overig         |281                      |Miscellaneous animals, animals that do not fall under the labels 'duck', 'dog', 'cat', 'cow', 'rabbit', 'horse', 'birds' or 'swan'                 |Dieren die niet vallen onder de labels 'eend', 'hond', 'kat', 'koe', 'konijn', 'paard', 'vogels' en 'zwaan'                                                                                                                                                                                                                   |NL-HlmNHA_1478_5151.jpg       |                                                    |
|artwork              |kunstwerk             |853                      |Artwork without people, the focus is on the art work.                                                                                              |Een kunstwerk, de omgeving is van ondergeschikt belang. Let op: foto's van driedemensionale sculpturen krijgen het label 'standbeeld'                                                                                                                                                                                         |NL-HlmNHA_1478_20029K00_35.jpg|statue, exhibition                                  |
|auditorium           |aula                  |175                      |A building or conference hall that hosts speeches or performances and can accomodate a seated audience. Includes images with and without audiences.|Een gebouw of zaal voor toespraken en lezingen, met of zonder toeschouwers.                                                                                                                                                                                                                                                   |NL-HlmNHA_1478_2725.jpg       |speech, conference_room                             |
|autorace             |race                  |153                      |Pictures taken on racecourse.                                                                                                                      |Foto's van een racebaan / circuit met raceauto's. Let op: 'zeepkistenrace' heeft een eigen label                                                                                                                                                                                                                              |NL-HlmNHA_1478_6698           |soapbox_race                                        |
|bakery               |bakkerij              |94                       |The inside or outside of a bakery / baking bread / bread or other baked goods on display, viewed from the indoors or outdoors                      |Binnen- of buitenkant van een bakkerswinkel / broodbakken / etalage van een bakkerij. Ook het presenteren van taarten binnen en buiten.                                                                                                                                                                                       |NL-HlmNHA_1478_3899.jpg       |kitchen,_shop_front                                 |
|bar                  |cafe                  |387                      |Area where drinks are served/consumed.                                                                                                             |Binnen- of buitenkant van een café / bar / terras / het serveren of nuttigen van drankjes                                                                                                                                                                                                                                     |NL-HlmNHA_1478_2938.jpg       |dining_area                                         |
|baseball             |honkbal               |674                      |People playing baseball                                                                                                                            |Mensen die honkbal of softbal spelen                                                                                                                                                                                                                                                                                          |NL-HlmNHA_1478_00007K00_02    |                                                    |
|basketball           |basketbal_korfbal     |223                      |People playing basketball or korf ball                                                                                                             |Mensen die basketbal of korfbal spelen                                                                                                                                                                                                                                                                                        |NL-HlmNHA_1478_09289_01_G.jpg |                                                    |
|beach                |strand                |417                      |A coastal / beach landscape                                                                                                                        |Een kust- en/of strandlandschap / zand en/of branding                                                                                                                                                                                                                                                                         |NL-HlmNHA_1478_01612_G.jpg    |dunes                                               |
|billiards_           |biljart               |44                       |People playing billiards or snooker                                                                                                                |Mensen aan het biljarten of snookeren. Heeft ook betrekking op foto's waarin sport met een biljarttafel centraal staat.                                                                                                                                                                                                       |NL-HlmNHA_1478_14109K00_21    |bar                                                 |
|birds                |vogels                |159                      |     Birds that do not fall under the labels `duck` and `swan`                                                                                                                                              |Vogels. Betreft niet foto’s die onder het label `eend` en `zwaan`                                                                                                                                                                                                                                                             |NL-HlmNHA_1478_48046K00_03    |                                                    |
|board_game           |bordspel              |4                        |people playing a board game                                                                                                                        |Mensen die een bordspel spelen                                                                                                                                                                                                                                                                                                |                              |                                                    |
|boat_deck            |mensen_op_een_boot    |338                      |People on the deck of a boat, ship or other vessel                                                                                                 |Mensen op een boot, schip of ander vaartuig                                                                                                                                                                                                                                                                                   |NL-HlmNHA_1478_07405_01_G.jpg |                                                    |
|bookstore_library    |bibliotheek_boekwinkel|156                      |The inside of a library or bookstore / rows of books and/or people reading.                                                                        |Binnenkant van een bibliotheek of boekwinkel / boekenplanken en/of boekentafels / lezende mensen in een daarvoor bestemde binnenruimte                                                                                                                                                                                        |NL-HlmNHA_1478_5669           |                                                    |
|boot                 |boot                  |789                      |One or multiple boats                                                                                                                              |Eén of meerdere vaartuigen (boot / schip)                                                                                                                                                                                                                                                                                     |NL-HlmNHA_1478_3283.jpg       |shipyard                                            |
|boxing               |boksen                |19                       |People boxing                                                                                                                                      |Mensen aan het boksen                                                                                                                                                                                                                                                                                                         |NL-HlmNHA_1478_07736K00_07    |                                                    |
|bridge               |brug                  |191                      |A bridge                                                                                                                                           |Een brug                                                                                                                                                                                                                                                                                                                      |NL-HlmNHA_1478_3571.jpg       |street, canal, river, boat                          |
|building             |gebouw                |1920                     |A building and its architecture                                                                                                                    |Een gebouw en diens architectuur en waarop de labels 'fabriek', 'huisje', 'kerk_buiten', 'windmolen' en 'ziekenhuis' niet van toepassing is                                                                                                                                                                                   |NL-HlmNHA_1478_2308           |hospital                                            |
|bus_truck            |bus_truck             |507                      |A heavy vehicle like a bus, truck or tractor                                                                                                       |Een zwaar voertuig zoals een bus, vrachtwagen of tractor                                                                                                                                                                                                                                                                      |NL-HlmNHA_1478_4942.jpg       |                                                    |
|butcher_shop         |slagerij              |81                       |Butcher shop from inside, or people preparing meat                                                                                                 |Binnen- en/of buitenkant van een slagerij / vleeshouwerij waarbij vlees wordt bereid / verkocht / uitgestald en/of bewerkt                                                                                                                                                                                                    |NL-HlmNHA_1478_5842.jpg       |                                                    |
|camping              |kamperen              |119                      |People camping                                                                                                                                     |Foto's van een camping of mensen die aan het kamperen zijn                                                                                                                                                                                                                                                                    |NL-HlmNHA_1478_02038K01_29    |                                                    |
|car                  |auto                  |448                      |One or multiple cars                                                                                                                               |Eén auto of meerdere auto's                                                                                                                                                                                                                                                                                                   |NL-HlmNHA_1478_04712_G.jpg    |                                                    |
|car_accident         |auto_ongeluk          |302                      |A traffic accident involving an automobile                                                                                                         |Een verkeersongeluk met een auto                                                                                                                                                                                                                                                                                              |NL-HlmNHA_1478_4996.jpg       |                                                    |
|carnaval             |carnaval              |127                      |  People dressed up for carnaval                                                                                                                                                 |Mensen die verkleed zijn voor carnaval                                                                                                                                                                                                                                                                                        |NL-HlmNHA_1478_09232K00_34    |historical_play                                     |
|casino               |casino                |17                       |   A casino with or without people present                                                                                                                                                |Een casino, met of zonder mensen                                                                                                                                                                                                                                                                                              |NL-HlmNHA_1478_14605K00_11    |playing_cards                                       |
|cat                  |kat                   |65                       |  One or more cats                                                                                                                                                 |Een of meerdere katten                                                                                                                                                                                                                                                                                                        |NL-HlmNHA_1478_18479K01_21    |                                                    |
|catwalk              |catwalk               |99                       |Models on a catwalk                                                                                                                                |Modellen op een catwalk                                                                                                                                                                                                                                                                                                       |NL-HlmNHA_1478_10175_02_G     |                                                    |
|cemetery             |begraafplaats         |55                       |A burial site (not the active process or ceremony involved), cemetery. Important elements include tombs, or tomb stones.                           |Een begraafplaats. Graven, grafstenen en/of gedenktekens staan centraal.                                                                                                                                                                                                                                                      | NL-HlmNHA_1478_03269_G.jpg   |funeral                                             |
|ceremony             |uitreiking_huldiging  |2023                     |A group of people bundled together for a ceremony. This could be awards, flowers, or a medal.                                                      |Ceremoniële situatie (of receptie) waarbij een prijs, certificaat of diploma uitgereikt en/of in ontvangst genomen wordt, meestal met toeschouwers / huldiging van één of meerdere personen door middel van een medaille, bloemen, formele onderscheiding                                                                     |NL-HlmNHA_1478_1929.jpg       |                                                    |
|chess_checkers       |schaken_dammen        |301                      |People playing either chess or checkers                                                                                                            |Mensen die schaken en/of mensen die dammen / schaakspelen / schaaksport / damspelen / damsport                                                                                                                                                                                                                                |NL-HlmNHA_1478_02678_G        |                                                    |
|christmas            |kerstmis              |165                      |pictures taken in a christmas setting                                                                                                              |Foto's met een duidelijke kerstsfeer / kerstboom / kerstman / kerstversieringen                                                                                                                                                                                                                                               |NL-HlmNHA_1478_00530K00_24    |                                                    |
|church_indoor        |kerk_binnen           |485                      |The interior of a church / inside a church                                                                                                         |Binnenkant  / interieur van een kerk                                                                                                                                                                                                                                                                                          |NL-HlmNHA_1478_2374.jpg       |                                                    |
|church_outdoor       |kerk_buiten           |402                      |The outside of a church                                                                                                                            |Buitenkant van een kerk                                                                                                                                                                                                                                                                                                       |NL-HlmNHA_1478_2612           |                                                    |
|circus               |circus                |192                      |Circus activities. The outside of the circus tent is categorized as tent.                                                                          |Foto's van een circus / circusact / circuspiste                                                                                                                                                                                                                                                                               |NL-HlmNHA_1478_01773_G.jpg    |                                                    |
|classroom            |klaslokaal            |437                      |Students inside a classroom                                                                                                                        |Studenten, leerlingen, scholieren, leerkrachten en/of docenten in een klaslokaal / leeg klaslokaal                                                                                                                                                                                                                            |NL-HlmNHA_1478_4827.jpg       |                                                    |
|clergy               |geestelijken          |280                      |Clergymen                                                                                                                                      |Een geestelijke, predikant, dominee en/of priester                                                                                                                                                                                                                                                                            |NL-HlmNHA_1478_08067_G.jpg    |                                                    |
|construction_site    |bouwplaats            |1959                     |A construction site, this also includes pictures of demolitions                                                                                    |Plek in de openbare ruimte en/of buitenlucht waar constructiewerkzaamheden plaatsvinden omdat er iets gebouwd en/of afgebroken wordt                                                                                                                                                                                          |NL-HlmNHA_1478_02699_G.jpg    |                                                    |
|cow                  |koe                   |75                       |   One or more cows                                                                                                                                                |Een koe of meerdere koeien                                                                                                                                                                                                                                                                                                    |NL-HlmNHA_1478_5113           |                                                    |
|cricket              |cricket               |254                      |People playing cricket                                                                                                                             |Mensen die cricket spelen                                                                                                                                                                                                                                                                                                     |NL-HlmNHA_1478_00018K01_18    |                                                    |
|crowd                |mensenmassa           |877                      |Large group of people (not posing)                                                                                                                 |Grote groep mensen die niet poseren voor de foto                                                                                                                                                                                                                                                                              |NL-HlmNHA_1478_2589.jpg       |                                                    |
|cycling              |fietsende_mensen      |291                      |Bicycles or people riding bicycles.                                                                                                                |Fietsende mensen / alledaags en/of recreatief fietsen. Sportieve fietsers op een racefiets krijgen het label 'wielrennen'                                                                                                                                                                                                     |NL-HlmNHA_1478_4565.jpg       |road_biking                                         |
|dancing              |dansende_mensen       |384                      |People dancing, in a group or individually                                                                                                         |Mensen die dansen, samen of solo                                                                                                                                                                                                                                                                                              |NL-HlmNHA_1478_08557_G.jpg    |musical_performance                                 |
|dining_area          |etende_mensen         |426                      |Area where people eat, both in restaurants and houses                                                                                              |Etende mensen, een plek waar mensen eten                                                                                                                                                                                                                                                                                      |NL-HlmNHA_1478_01583_G        |bar                                                 |
|dock                 |kade                  |158                      |A boardwalk/dock, with or without people                                                                                                           |Een kade met of zonder mensen                                                                                                                                                                                                                                                                                                 |NL-HlmNHA_1478_5863.jpg       |harbor                                              |
|dog                  |hond                  |269                      |     One or more dogs                                                                                                                                              |Eén hond of meerdere honden                                                                                                                                                                                                                                                                                                   |NL-HlmNHA_1478_09898_01B_G    |                                                    |
|duck                 |eend                  |53                       |One or more ducks                                                                                                                                  |Een eend of meerdere eenden                                                                                                                                                                                                                                                                                                   |NL-HlmNHA_1478_00033K00_19    |                                                    |
|dunes                |duinen                |135                      |A dune landscape                                                                                                                                   |Een duinlandschap                                                                                                                                                                                                                                                                                                             |NL-HlmNHA_1478_07363_G        |beach                                               |
|excavation           |opgraving             |67                       |An (archaeological) excavation                                                                                                                     |Een (archeologische) opgraving                                                                                                                                                                                                                                                                                                |NL-HlmNHA_1478_3232           |                                                    |
|exhibition           |tentoonstelling       |583                      |A room with artwork(s) and people                                                                                                                  |Ruimte waarin één kunstwerk of meerdere kunstwerken gepresenteerd worden, al dan niet met mensen                                                                                                                                                                                                                              |NL-HlmNHA_1478_2107.jpg       |meeting_room                                        |
|factory              |fabriek               |718                      |Factories / assembly lines / production facilities                                                                                                 |Binnen- of buitenkant van een fabrieksgebouw of meerdere fabrieksgebouwen / lopende band / grootschalige productiewerkplaatsen / productiefaciliteiten                                                                                                                                                                        |NL-HlmNHA_1478_3421.jpg       |                                                    |
|fairground           |kermis                |201                      |   Fairground                                                                                                                                                |Een kermis                                                                                                                                                                                                                                                                                                                    |NL-HlmNHA_1478_6528           |                                                    |
|farm_field           |akker                 |226                      |People working in farm fields/pictures of crops/farm fields                                                                                        |Mensen werkend op een akker / (akker)gewassen / boeren-, bouw- en/of weiland / agrarisch landschap / platteland                                                                                                                                                                                                               | NL-HlmNHA_1478_03467_G.jpg   |                                                    |
|field_hockey         |hockey                |176                      |People playing field hockey                                                                                                                        |Mensen die hockey spelen                                                                                                                                                                                                                                                                                                      |NL-HlmNHA_1478_20010K00_05.jpg|                                                    |
|fire                 |brand                 |519                      |Fires, or buildings destroyed by fire                                                                                                              |Vuur en brand en/of afgebrande huizen / gebouwen                                                                                                                                                                                                                                                                              |NL-HlmNHA_1478_03245_G.jpg    |                                                    |
|fishery              |visserij              |311                      |Fishing industry                                                                                                                                   |Vissers / viskwekerij / hengelsport / visboten                                                                                                                                                                                                                                                                                |NL-HlmNHA_1478_04495_G.jpg    |                                                    |
|flag_hoisting        |vlag_hijsen           |74                       |Raising of a flag                                                                                                                                  |Het hijsen van een vlag op een vlaggenmast                                                                                                                                                                                                                                                                                    |NL-HlmNHA_1478_05004_G.jpg    |                                                    |
|flower_garden        |bloementuin           |146                      |A garden filled with flowers                                                                                                                       |Een tuin met bloemen / bloemen in de volle grond                                                                                                                                                                                                                                                                              |NL-HlmNHA_1478_3750           |flowers                                             |
|flowers              |bloemen               |147                      |One or more (cut) flowers                                                                                                                          |Eén of meerdere (snij)bloemen                                                                                                                                                                                                                                                                                                 |NL-HlmNHA_1478_08160_G        |flower_garden                                       |
|forest_park          |bos_park              |413                      |A forest or park                                                                                                                                   |Een bos- en/of parklandschap / natuurgebied                                                                                                                                                                                                                                                                                   |NL-HlmNHA_1478_4842.jpg       |                                                    |
|funeral              |begrafenis            |116                      |A funeral ceremony. Here we only choose images that depict a casket or the burial itself.                                                          |Een begrafenis / plechtigheid rondom een ter aarde bestelling.                                                                                                                                                                                                                                                                |NL-HlmNHA_1478_03546_G.jpg    |memorial, parade, cemetery, flowers, church_indoor  |
|garage_showroom      |garage_showroom       |106                      |     A garagage or showroom for automobiles                                                                                                                                              |Een werkplaats voor auto's / een overdekte autostalling / showroom                                                                                                                                                                                                                                                            |NL-HlmNHA_1478_20137K00_03.jpg|                                                    |
|golf                 |golf                  |91                       |People playing golf                                                                                                                                |Mensen aan het golfen                                                                                                                                                                                                                                                                                                         |NL-HlmNHA_1478_29523K00_29    |                                                    |
|group_portait        |groepsportret         |2491                     |Three or more people posing for a picture                                                                                                          |Drie of meer personen die poseren voor de foto                                                                                                                                                                                                                                                                                |NL-HlmNHA_1478_01856_G.jpg    |                                                    |
|gymnastics           |gymnastiek            |269                      |People performing gymnastics, indoors and outdoors                                                                                                 |Mensen die gymnastiek beoefenen (zowel binnen als buiten) en waarop de labels 'circus' of 'dansende_mensen' niet van toepassing zijn                                                                                                                                                                                          |NL-HlmNHA_1478_04699_G.jpg    |circus, dancing                                     |
|hair_salon           |kapper                |58                       |Images that feature hairdressers or beauty salons                                                                                                  |Kapsalon en/of mensen die knippen / geknipt worden                                                                                                                                                                                                                                                                            |NL-HlmNHA_1478_3905.jpg       |                                                    |
|hand_ball            |handbal               |185                      |People playing hand ball                                                                                                                           |Mensen aan het handballen                                                                                                                                                                                                                                                                                                     |NL-HlmNHA_1478_26858K00_31    |                                                    |
|harbor               |haven                 |330                      |Ships docked at a harbor, focus is not on the ships, but on the context of the harbor                                                              |Een havenlandschap / ligplaats voor boten, schepen en/of ander vaartuigen                                                                                                                                                                                                                                                     |NL-HlmNHA_1478_02804_G        |shopping_street, residential_area                   |
|helicopter           |helikopter            |32                       |One or multiple helicopters                                                                                                                        |Een of meerdere helikopters                                                                                                                                                                                                                                                                                                   |NL-HlmNHA_1478_13306K00_04    |                                                    |
|historical_play      |historisch_toneelstuk |170                      |People dressed up in historical garment enacting historical plays                                                                                  |Mensen die toneelspelen verkleed in historische kostuums, al dan niet met toeschouwers                                                                                                                                                                                                                                        |NL-HlmNHA_1478_04372_G.jpg    |theater, carnaval                                   |
|horse                |paard                 |343                      |One or multiple horses                                                                                                                             |Een paard of meerdere paarden                                                                                                                                                                                                                                                                                                 |NL-HlmNHA_1478_3527           |                                                    |
|hospital             |ziekenhuis            |198                      |A hospital/dentist/medical lab setting                                                                                                             |Binnen- of buitenkant van een ziekenhuisgebouw / verplegingstehuis / medische attributen / arts en/of verplegers                                                                                                                                                                                                              |NL-HlmNHA_1478_4742.jpg       |                                                    |
|ice_skating          |schaatsen             |154                      |People skating on ice                                                                                                                              |Mensen die schaatsen op natuurijs of een ijsbaan                                                                                                                                                                                                                                                                              |NL-HlmNHA_1478_4894.jpg       |                                                    |
|indoor_pool          |binnen_zwembad        |154                      |An indoor swimmingpool                                                                                                                             |Een binnenzwembad                                                                                                                                                                                                                                                                                                             |NL-HlmNHA_1478_03196_02_G     |outdoor_swimming_pool                               |
|indoor_soccer        |zaalvoetbal           |110                      |People playing indoor soccer                                                                                                                       |Mensen die binnen voetbal spelen in een gymzaal / voetbalzaal                                                                                                                                                                                                                                                                 |NL-HlmNHA_1478_20027K00_26.jpg|soccer                                              |
|kitchen              |keuken                |245                      |People in kitchen, preparing food                                                                                                                  |Een keuken / aanrecht / fornuis met of zonder mensen die eten bereiden / koken                                                                                                                                                                                                                                                |NL-HlmNHA_1478_08562_G.jpg    |                                                    |
|landfill             |vuilnisbelt           |25                       |    A landfill or garbage patch                                                                                                                                               |Een vuilnisbelt of vuilstort                                                                                                                                                                                                                                                                                                  |NL-HlmNHA_1478_03791K00_20    |                                                    |
|living_room          |woonkamer             |361                      |A living room space, with or without people situated in it                                                                                         |Een huiskamer, met of zonder mensen                                                                                                                                                                                                                                                                                           |NL-HlmNHA_1478_3584.jpg       |                                                    |
|maps                 |plattegrond           |84                       |A floorplan or map                                                                                                                                 |Een plattegrond / routekaart / landkaart                                                                                                                                                                                                                                                                                      |NL-HlmNHA_1478_03391_G.jpg    |                                                    |
|maquette             |maquette              |455                      |A maquette                                                                                                                                         |Een maquette                                                                                                                                                                                                                                                                                                                  |NL-HlmNHA_1478_02612K00_25    |                                                    |
|market               |trein_station         |90                       |Train stations, trains at stations                                                                                                                 |Een treinstationsgebouw, perrons en aankomende of vertrekkende treinen / treinstationelementen zoals een vertrektijdenbord                                                                                                                                                                                                    |NL-HlmNHA_1478_08998_G.jpg    |train                                               |
|market_              |markt                 |637                      |Indoor/ outdoor market / shopping fair                                                                                                             |Markt of beurs met marktkramen, stands en/of kleedjes in een markthal (binnen) of in de buitenlucht (buiten)                                                                                                                                                                                                                  |NL-HlmNHA_1478_3456.jpg       |                                                    |
|martial_arts         |vechtsport            |77                       |     People practising a martial art. This does not include pictures of `boxing`                                                                                                                                              |Mensen die een vechtsport beoefenen. Betreft niet foto’s die onder het label 'boksen' vallen.                                                                                                                                                                                                                                 |NL-HlmNHA_1478_26661K00_05    |                                                    |
|meeting_room         |vergaderruimte        |743                      |Meeting table with people sitting around it                                                                                                        |Kamer of zaal met vergadertafel en -stoelen / mensen die (vaak) in een kring, al dan niet aan tafel, met elkaar in bespreking zijn                                                                                                                                                                                            |NL-HlmNHA_1478_2100.jpg       |                                                    |
|memorial             |herdenking            |140                      |A memorial site                                                                                                                                    |Een herdenkingsceremonie / gedenktekens en -monumenten.                                                                                                                                                                                                                                                                       |NL-HlmNHA_1478_09624_03_G.jpg |funeral                                             |
|military             |militair              |132                      |Military personnel                                                                                                                                 |Militairen / mensen met militaire uniformen / militaire voertuigen                                                                                                                                                                                                                                                            |NL-HlmNHA_1478_08343_G.jpg    |                                                    |
|motorcycle           |motorfiets            |100                      |One or multiple motorcycles                                                                                                                        |Eén of meerdere motorvoertuigen (op twee wielen), zoals een brommer / bromfiets / scooter. Ook motorraces vallen in deze categorie.                                                                                                                                                                                           |NL-HlmNHA_1478_09125_G        |                                                    |
|musical_performance  |muziek_optreden       |1471                     |People performing music                                                                                                                            |Mensen die muziek maken / een instrument bespelen voor publiek.                                                                                                                                                                                                                                                               |NL-HlmNHA_1478_2489.jpg       |dancing                                             |
|office               |kantoor               |595                      |An office environment setting                                                                                                                      |Binnenkant van een werkomgeving met of zonder mensen / bureautafels / computers / kantoorwerkplekken                                                                                                                                                                                                                          |NL-HlmNHA_1478_4027.jpg       |                                                    |
|outdoor_swimming_pool|buiten_zwembad        |110                      |An outdoor swimmingpool                                                                                                                            |Een buitenzwembad                                                                                                                                                                                                                                                                                                             |NL-HlmNHA_1478_10253_G        |train_station, train_accident                       |
|parade               |optocht               |445                      |A parade with floats                                                                                                                               |Een optocht met of zonder praalwagens                                                                                                                                                                                                                                                                                         |NL-HlmNHA_1478_1778.jpg       |                                                    |
|patio                |terras                |149                      |A patio, with or without people sitting on it                                                                                                      |Een terras, met of zonder mensen                                                                                                                                                                                                                                                                                              |NL-HlmNHA_1478_2878           |                                                    |
|people_on_stairs     |mensen_op_trap        |58                       |    One or more person on stairs                                                                                                                                               |Een persoon of meerdere personen op een trap                                                                                                                                                                                                                                                                                  |NL-HlmNHA_1478_1812           |                                                    |
|playground           |speeltuin             |175                      |People/ children playing in a playground.                                                                                                          |Speelplaats voor kinderen, met of zonder spelende kinderen / speeltoestellen / speelveld                                                                                                                                                                                                                                      |NL-HlmNHA_1478_07886_01_G.jpg |                                                    |
|playing_cards        |kaartspel             |23                       |People playing cards                                                                                                                               |Mensen aan het kaarten                                                                                                                                                                                                                                                                                                        |NL-HlmNHA_1478_15368K00_15    |casino                                              |
|polling_office       |stemlokaal            |36                       |     A space where people vote or where we can see a voting booth                                                                                                                                              |Een ruimte waar mensen stemmen en waarop eventueel een stembus te zien is                                                                                                                                                                                                                                                     |NL-HlmNHA_1478_12997K00_19    |                                                    |
|pond                 |vijver_plas           |114                      |Scenery of a pond.                                                                                                                                 |Een vijver, plas en/of meertje. Let op: water dat duidelijk één bepaalde richting op stroomt krijgt het label 'waterweg'                                                                                                                                                                                                      |NL-HlmNHA_1478_03011_G.jpg    |riverway                                            |
|portrait             |portret               |7165                     |A portrait of one or two people posing                                                                                                             |Portret van één of twee mensen die poseren voor de foto                                                                                                                                                                                                                                                                       |NL-HlmNHA_1478_4063.jpg       |                                                    |
|protest              |demonstratie          |410                      |People protesting, banners clear signal                                                                                                            |Protesterende en/of demonstrerende mensen / spandoeken en/of protestborden / mensen die zichtbaar scanderen                                                                                                                                                                                                                   |NL-HlmNHA_1478_4776.jpg       |parade                                              |
|rabbit               |konijn                |45                       |   One or more rabbits                                                                                                                                                |Een konijn of meerdere konijnen                                                                                                                                                                                                                                                                                               |NL-HlmNHA_1478_07641_G        |                                                    |
|railroad             |spoorweg              |29                       |  A railroad track or railroad crossing                                                                                                                                                 |Een spoorweg en/of de treinbaan                                                                                                                                                                                                                                                                                               |NL-HlmNHA_1478_13667K00_26    |kitchen, shop_front                                 |
|residential_area     |woonwijk              |393                      | An apartment complex or multiple houses                                                                                                                                                   |Een huizenblok / meerdere woningen                                                                                                                                                                                                                                                                                            |NL-HlmNHA_1478_5292           |street                                              |
|riverway             |waterweg              |252                      |Flow of water, also includes natural flow of water rivers                                                                                          |Water dat één bepaalde richting op stroomt / grachten en/of kanalen / rivieren en/of beekjes                                                                                                                                                                                                                                  |NL-HlmNHA_1478_03065_G.jpg    |                                                    |
|road_biking          |wielrennen            |205                      |Professional cyclists                                                                                                                              |Professionele / sportieve fietsers op of met een racefiets. Let op: alledaagse, recreatieve fietsers krijgen het label 'fietsend_mensen'                                                                                                                                                                                      |NL-HlmNHA_1478_6002.jpg       |                                                    |
|rowing               |roeien                |83                       |People rowing                                                                                                                                      |Mensen die roeien met een roeiboot                                                                                                                                                                                                                                                                                            |NL-HlmNHA_1478_4662.jpg       |                                                    |
|rugby                |rugby                 |26                       |People playing rugby                                                                                                                               |Mensen die aan het rugbyen zijn                                                                                                                                                                                                                                                                                               |NL-HlmNHA_1478_19249K00_36    |                                                    |
|running              |hardlopen             |170                      |People running in a sports event                                                                                                                   |Mensen die rennen en/of joggen in sportkleren                                                                                                                                                                                                                                                                                 |NL-HlmNHA_1478_03457_G.jpg    |                                                    |
|saint_niclaus        |sinterklaas           |654                      |Saint Niclaus festivities                                                                                                                          |Sinterklaasfestiviteiten / Sinterklaas, pieten en/of het paard van Sinterklaas / Sinterklaasintocht / schoentje zetten                                                                                                                                                                                                        |NL-HlmNHA_1478_2314.jpg       |                                                    |
|shed                 |huisje                |162                      |Wooden buildings, beach houses, living trailers                                                                                                    |Kleine huisjes zoals strandhuisjes, woonwagens, houten hutjes                                                                                                                                                                                                                                                                 |NL-HlmNHA_1478_04425_G.jpg    |                                                    |
|shipyard             |scheepswerf           |156                      |Construction area for ships                                                                                                                        |Werkplaats voor het sleutelen aan vaartuigen (schepen / boten)                                                                                                                                                                                                                                                                |NL-HlmNHA_1478_09409_G.jpg    |boats, harbor                                       |
|shop_front           |etalage               |257                      |A shopfront, a shop window with products on display                                                                                                |Aanzicht van een winkel waarbij achter het raam producten zijn uitgestald / producten achter een winkelruit                                                                                                                                                                                                                   |NL-HlmNHA_1478_04960_G.jpg    |shopping_street, bakery, butcher shop, shop_interior|
|shop_interior        |winkel_binnen         |743                      |Different kinds of shop interiors                                                                                                                  |Binnenkant / interieur van een winkel waarin producten verkocht worden / winkelschappen en/of rekken / toonbank waarbij de labels 'bakkerij', 'biliotheek_boekenwinkel', 'slagerij' niet van toepassing zijn                                                                                                                  |NL-HlmNHA_1478_1559.jpg       |                                                    |
|shopping_street      |winkelstraat          |292                      |A street of shops/shoppers                                                                                                                         |Een straat met meerdere winkels, met of zonder mensen / foto's van winkelende mensen                                                                                                                                                                                                                                          |NL-HlmNHA_1478_2165.jpg       |street                                              |
|sign post            |borden_gevelsteen     |610                      |A sign, plaque, information board, or other types of street signs                                                                                  |Bewegwijzering en/of andersoortige straatborden, informatieborden, plakaten en/of gevelstenen                                                                                                                                                                                                                                 |NL-HlmNHA_1478_20125K01_24.jpg|                                                    |
|snow_landscape       |sneeuwlandschap       |198                      |Winter city or nature landscape with snow                                                                                                          |Winters stad- of natuurlandschap met sneeuw                                                                                                                                                                                                                                                                                   |NL-HlmNHA_1478_20031K00_20.jpg|                                                    |
|soapbox_race         |zeepkistenrace        |62                       |   A race with self-made cars without engines (soapboxes)                                                                                                                                                |Een race met zeepkisten (zelfgemaakte voertuigen zonder motor)                                                                                                                                                                                                                                                                |NL-HlmNHA_1478_2602.jpg       |                                                    |
|soccer               |voetbal               |1946                     |People playing soccer                                                                                                                              |Mensen die buiten voetbal spelen                                                                                                                                                                                                                                                                                              |NL-HlmNHA_1478_04951_G.jpg    |indoor_soccer                                       |
|soccer_team          |voetbal_team          |199                      |Portrait of soccer team                                                                                                                            |Groepsportret van een voetbalelftal poserend voor de foto                                                                                                                                                                                                                                                                     |NL-HlmNHA_1478_01613_G.jpg    |                                                    |
|speech               |speech                |558                      |Someone giving a speech, often in front of a microphone                                                                                            |Foto's van iemand die publiek toespreekt, al dan niet met microfoon                                                                                                                                                                                                                                                           |NL-HlmNHA_1478_1988.jpg       |auditorium                                          |
|sports               |sport_overig          |366                      |   Pictures of sports that do not fall in the more specific categories.                                                                                                                                                |Foto’s van sport die niet de volgende labels betreffen: `basketbal_korfbal`, `biljart`, `boksen`, `cricket`, `golf`, `handbal`, `hockey`, `honkbal`, `roeien`, `rugby`, `schaatsen`, `schaken_dammen`, `tafel_tennis`, `tennis`, `vechtsport`, `voetbal`, `volleybal`, `waterpolo`, `wielrennen`, `windsurfen` en `zaalvoetbal`|NL-HlmNHA_1478_30269K00_23    |                                                    |
|statue               |standbeeld            |377                      |Sculptures/ statues                                                                                                                                |Een driedimensionaal beeldhouwwerk, sculptuur of standbeeld                                                                                                                                                                                                                                                                   |NL-HlmNHA_1478_4186           |                                                    |
|street               |straat                |1359                     |Street sceneries                                                                                                                                   |Een straat, met of zonder mensen                                                                                                                                                                                                                                                                                              |NL-HlmNHA_1478_3452.jpg       |shopping_street,_residential_area                   |
|swan                 |zwaan                 |41                       |One or multiple swans                                                                                                                              |Eén zwaan of meerdere zwanen                                                                                                                                                                                                                                                                                                  |NL-HlmNHA_1478_08028_G        |                                                    |
|table_Tennis         |tafel_tennis          |90                       |People playing table tennis                                                                                                                        |Mensen die aan het tafeltennissen zijn                                                                                                                                                                                                                                                                                        |NL-HlmNHA_1478_21489K01_29    |                                                    |
|tennis               |tennis                |208                      |People playing tennis                                                                                                                              |Mensen die aan het tennissen zijn                                                                                                                                                                                                                                                                                             |NL-HlmNHA_1478_28740K00_24    |                                                    |
|theater              |theater               |537                      |A play performed in a theatre setting                                                                                                              |Toneelopvoering voor publiek / podium en/of theaterzaal / acteurs die toneelspelen met toeschouwers / toeschouwers in een theaterzaal                                                                                                                                                                                         |NL-HlmNHA_1478_02126_G.jpg    |historical_play, amphitheater                       |
|tower                |toren                 |126                      |One or multiple towers                                                                                                                             |Een toren of meerdere torens                                                                                                                                                                                                                                                                                                  |NL-HlmNHA_1478_4477.jpg       |                                                    |
|train                |trein                 |141                      |Trains                                                                                                                                             |Een trein                                                                                                                                                                                                                                                                                                                     |NL-HlmNHA_1478_09009_G        |train_station, train accident                       |
|train_accident       |trein_ongeluk         |83                       |Traffic accident involving an train                                                                                                                |Ongeluk op een spoorbaan met een trein                                                                                                                                                                                                                                                                                        |NL-HlmNHA_1478_20141K00_01.jpg|                                                    |
|tram                 |tram                  |77                       |One or multiple trams                                                                                                                              |Een tram                                                                                                                                                                                                                                                                                                                      |NL-HlmNHA_1478_4945.jpg       |                                                    |
|volleyball           |volleybal             |148                      |People playing volley ball                                                                                                                         |Mensen die volleybal spelen                                                                                                                                                                                                                                                                                                   |NL-HlmNHA_1478_07884_01_G     |                                                    |
|waterpolo            |waterpolo             |78                       |People playing waterpolo                                                                                                                           |Mensen die waterpolo spelen                                                                                                                                                                                                                                                                                                   |NL-HlmNHA_1478_24652K00_31    |                                                    |
|wedding              |bruiloft              |206                      |A couple getting married, marriage ceremony                                                                                                        |Huwelijksfeest en/of -ceremonie / bruidspaar / bruidskinderen / bruidstaart                                                                                                                                                                                                                                                   |NL-HlmNHA_1478_09181_02_G.jpg |meeting_room                                        |
|welcome_goodbye      |ontvangst_afscheid    |412                      |People welcoming eachother or saying goodbye                                                                                                       |Mensen die elkaar begroeten en/of afscheid nemen / handschudden / zwaaien                                                                                                                                                                                                                                                     |NL-HlmNHA_1478_04647_G        |                                                    |
|wind_mill            |windmolen             |108                      |One or multiple windmills                                                                                                                          |Eén molen of meerdere molens                                                                                                                                                                                                                                                                                                  |NL-HlmNHA_1478_6018.jpg       |                                                    |
|wind_surfing         |windsurfen            |13                       |People surfing                                                                                                                                     |Mensen die windsurfen                                                                                                                                                                                                                                                                                                         |NL-HlmNHA_1478_24132K00_20    |                                                    |
